# -*- encoding: utf-8 -*-
# stub: swd 2.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "swd".freeze
  s.version = "2.0.3".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["nov matake".freeze]
  s.date = "2023-12-27"
  s.description = "SWD (Simple Web Discovery) Client Library".freeze
  s.email = ["nov@matake.jp".freeze]
  s.files = [".github/FUNDING.yml".freeze, ".github/workflows/spec.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "VERSION".freeze, "lib/swd.rb".freeze, "lib/swd/cache.rb".freeze, "lib/swd/exception.rb".freeze, "lib/swd/resource.rb".freeze, "lib/swd/response.rb".freeze, "spec/helpers/webmock_helper.rb".freeze, "spec/mock_json/blank.json".freeze, "spec/mock_json/redirect.json".freeze, "spec/mock_json/redirect_expired.json".freeze, "spec/mock_json/redirect_with_port.json".freeze, "spec/mock_json/success.json".freeze, "spec/spec_helper.rb".freeze, "spec/swd/exception_spec.rb".freeze, "spec/swd/resource_spec.rb".freeze, "spec/swd_spec.rb".freeze, "swd.gemspec".freeze]
  s.homepage = "https://github.com/nov/swd".freeze
  s.rubygems_version = "3.4.10".freeze
  s.summary = "SWD (Simple Web Discovery) Client Library".freeze
  s.test_files = ["spec/helpers/webmock_helper.rb".freeze, "spec/mock_json/blank.json".freeze, "spec/mock_json/redirect.json".freeze, "spec/mock_json/redirect_expired.json".freeze, "spec/mock_json/redirect_with_port.json".freeze, "spec/mock_json/success.json".freeze, "spec/spec_helper.rb".freeze, "spec/swd/exception_spec.rb".freeze, "spec/swd/resource_spec.rb".freeze, "spec/swd_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<faraday>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<faraday-follow_redirects>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 3".freeze])
  s.add_runtime_dependency(%q<attr_required>.freeze, [">= 0.0.5".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec-its>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<webmock>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
end

